---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libCallbacks.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1D20, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x55CE0, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x57C20, symBinAddr: 0xA270, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x58010, symBinAddr: 0xA660, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58FB0, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58FC0, symBinAddr: 0xB610, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x558F0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x558F4, symBinAddr: 0x8184, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x558F8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55A40, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55AF8, symBinAddr: 0x8248, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x55AFC, symBinAddr: 0x824C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55B00, symBinAddr: 0x8250, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55B04, symBinAddr: 0x8254, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55B08, symBinAddr: 0x8258, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55B10, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55B20, symBinAddr: 0x8270, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55B28, symBinAddr: 0x8278, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55B30, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x55B38, symBinAddr: 0x8288, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55B40, symBinAddr: 0x8290, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55B48, symBinAddr: 0x8298, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL13BOOLEAN_ARRAY, symObjAddr: 0xFCF6, symBinAddr: 0x80B6, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL10CHAR_ARRAY, symObjAddr: 0xFCFC, symBinAddr: 0x80BC, symSize: 0x0 }
  - { offsetInCU: 0x9526, offset: 0x9526, size: 0x8, addend: 0x0, symName: __ZL10BYTE_ARRAY, symObjAddr: 0xFD06, symBinAddr: 0x80C6, symSize: 0x0 }
  - { offsetInCU: 0x954B, offset: 0x954B, size: 0x8, addend: 0x0, symName: __ZL11SHORT_ARRAY, symObjAddr: 0xFD0C, symBinAddr: 0x80CC, symSize: 0x0 }
  - { offsetInCU: 0x9570, offset: 0x9570, size: 0x8, addend: 0x0, symName: __ZL9INT_ARRAY, symObjAddr: 0xFD20, symBinAddr: 0x80E0, symSize: 0x0 }
  - { offsetInCU: 0x9595, offset: 0x9595, size: 0x8, addend: 0x0, symName: __ZL10LONG_ARRAY, symObjAddr: 0xFD40, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x95BA, offset: 0x95BA, size: 0x8, addend: 0x0, symName: __ZL11FLOAT_ARRAY, symObjAddr: 0xFD70, symBinAddr: 0x8130, symSize: 0x0 }
  - { offsetInCU: 0x95DF, offset: 0x95DF, size: 0x8, addend: 0x0, symName: __ZL12DOUBLE_ARRAY, symObjAddr: 0xFD90, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x9604, offset: 0x9604, size: 0x8, addend: 0x0, symName: __ZL12objects_info, symObjAddr: 0x55B90, symBinAddr: 0x82A0, symSize: 0x0 }
  - { offsetInCU: 0x96C3, offset: 0x96C3, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x55C10, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0x9715, offset: 0x9715, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9A0, symSize: 0x80 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x8F0, symSize: 0xB0 }
  - { offsetInCU: 0x9805, offset: 0x9805, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x7F0, symSize: 0x100 }
  - { offsetInCU: 0x9A98, offset: 0x9A98, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA20, symSize: 0xC0 }
  - { offsetInCU: 0x9AEA, offset: 0x9AEA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xAE0, symSize: 0x220 }
  - { offsetInCU: 0x9CCF, offset: 0x9CCF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD00, symSize: 0xA0 }
  - { offsetInCU: 0x9D82, offset: 0x9D82, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xDA0, symSize: 0x110 }
  - { offsetInCU: 0x9E78, offset: 0x9E78, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xEB0, symSize: 0x150 }
  - { offsetInCU: 0x9FD5, offset: 0x9FD5, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1000, symSize: 0x30 }
  - { offsetInCU: 0xA0B6, offset: 0xA0B6, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1030, symSize: 0x150 }
  - { offsetInCU: 0xA2AE, offset: 0xA2AE, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1180, symSize: 0x160 }
  - { offsetInCU: 0xA56E, offset: 0xA56E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x12E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA7E1, offset: 0xA7E1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1780, symSize: 0x1B0 }
  - { offsetInCU: 0xA9FC, offset: 0xA9FC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1930, symSize: 0xA0 }
  - { offsetInCU: 0xAACB, offset: 0xAACB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x19D0, symSize: 0x20 }
  - { offsetInCU: 0xAB02, offset: 0xAB02, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x19F0, symSize: 0x20 }
  - { offsetInCU: 0xAB39, offset: 0xAB39, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1A10, symSize: 0x20 }
  - { offsetInCU: 0xACA8, offset: 0xACA8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1A30, symSize: 0x1A0 }
  - { offsetInCU: 0xAFC4, offset: 0xAFC4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1BD0, symSize: 0x150 }
  - { offsetInCU: 0xB181, offset: 0xB181, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x1FC0, symSize: 0x1D0 }
  - { offsetInCU: 0xB47D, offset: 0xB47D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2190, symSize: 0x80 }
  - { offsetInCU: 0xB546, offset: 0xB546, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2210, symSize: 0x6C0 }
  - { offsetInCU: 0xC0BC, offset: 0xC0BC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB880, symBinAddr: 0x4A00, symSize: 0xB0 }
  - { offsetInCU: 0xC133, offset: 0xC133, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x28D0, symSize: 0x70 }
  - { offsetInCU: 0xC227, offset: 0xC227, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x2940, symSize: 0xF0 }
  - { offsetInCU: 0xC35B, offset: 0xC35B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2A30, symSize: 0xA0 }
  - { offsetInCU: 0xC466, offset: 0xC466, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2AD0, symSize: 0x40 }
  - { offsetInCU: 0xC55C, offset: 0xC55C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2B10, symSize: 0x2B0 }
  - { offsetInCU: 0xC902, offset: 0xC902, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2DC0, symSize: 0xC0 }
  - { offsetInCU: 0xCA48, offset: 0xCA48, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2E80, symSize: 0x10 }
  - { offsetInCU: 0xCB0A, offset: 0xCB0A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2E90, symSize: 0x240 }
  - { offsetInCU: 0xCDF3, offset: 0xCDF3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x30D0, symSize: 0x10 }
  - { offsetInCU: 0xCE50, offset: 0xCE50, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x30E0, symSize: 0x220 }
  - { offsetInCU: 0xD103, offset: 0xD103, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F40, symBinAddr: 0x3300, symSize: 0x10 }
  - { offsetInCU: 0xD160, offset: 0xD160, size: 0x8, addend: 0x0, symName: _is_primitive_type, symObjAddr: 0x9F50, symBinAddr: 0x3310, symSize: 0xC0 }
  - { offsetInCU: 0xD189, offset: 0xD189, size: 0x8, addend: 0x0, symName: _verify_value, symObjAddr: 0xA070, symBinAddr: 0x33D0, symSize: 0x160 }
  - { offsetInCU: 0xD1D6, offset: 0xD1D6, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0xA2E0, symBinAddr: 0x3530, symSize: 0x120 }
  - { offsetInCU: 0xD2A0, offset: 0xD2A0, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0xA400, symBinAddr: 0x3650, symSize: 0x150 }
  - { offsetInCU: 0xD3AB, offset: 0xD3AB, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0xA550, symBinAddr: 0x37A0, symSize: 0x240 }
  - { offsetInCU: 0xD4A0, offset: 0xD4A0, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0xA790, symBinAddr: 0x39E0, symSize: 0x40 }
  - { offsetInCU: 0xD4FB, offset: 0xD4FB, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0xA7D0, symBinAddr: 0x3A20, symSize: 0xA0 }
  - { offsetInCU: 0xD774, offset: 0xD774, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0xA870, symBinAddr: 0x3AC0, symSize: 0x860 }
  - { offsetInCU: 0xE2CA, offset: 0xE2CA, size: 0x8, addend: 0x0, symName: _verify_objects, symObjAddr: 0xB1A0, symBinAddr: 0x4320, symSize: 0x160 }
  - { offsetInCU: 0xE3F5, offset: 0xE3F5, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB300, symBinAddr: 0x4480, symSize: 0x580 }
  - { offsetInCU: 0xEA43, offset: 0xEA43, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB930, symBinAddr: 0x4AB0, symSize: 0x36A }
...
